Index: trunk/src/subprojects/importer/Makefile.am
===================================================================
--- trunk/src/subprojects/importer/Makefile.am	(revision 5315)
+++ trunk/src/subprojects/importer/Makefile.am	(revision 5348)
@@ -10,4 +10,6 @@
 importer_LDADD = $(MAINSRCDIR)/lib/event/libORXevent.a \
                  $(MAINSRCDIR)/lib/tinyxml/libtinyxml.a \
+                 $(MAINSRCDIR)/lib/graphics/libORXgraphics.a \
+                 $(MAINSRCDIR)/lib/shell/libORXshell.a \
                  $(MAINSRCDIR)/lib/sound/libORXsound.a \
                  $(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a
@@ -15,8 +17,6 @@
 importer_SOURCES= ../framework.cc \
                   importer.cc \
-                  $(MAINSRCDIR)/lib/graphics/light.cc \
                   $(MAINSRCDIR)/util/state.cc \
                   $(MAINSRCDIR)/world_entities/camera.cc \
-                  $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
                   $(MAINSRCDIR)/lib/lang/base_object.cc \
                   $(MAINSRCDIR)/lib/lang/class_list.cc \
@@ -24,10 +24,8 @@
                   $(MAINSRCDIR)/util/resource_manager.cc \
                   $(MAINSRCDIR)/lib/util/ini_parser.cc \
-                  $(MAINSRCDIR)/lib/graphics/text_engine.cc \
-                  $(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc \
-                  $(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc \
                   $(MAINSRCDIR)/lib/coord/p_node.cc \
                   $(MAINSRCDIR)/lib/coord/null_parent.cc \
                   $(MAINSRCDIR)/util/loading/load_param.cc \
+                  $(MAINSRCDIR)/lib/util/helper_functions.cc \
                   $(MAINSRCDIR)/lib/util/substring.cc \
                   $(MAINSRCDIR)/lib/util/color.cc \
Index: trunk/src/subprojects/importer/Makefile.in
===================================================================
--- trunk/src/subprojects/importer/Makefile.in	(revision 5315)
+++ trunk/src/subprojects/importer/Makefile.in	(revision 5348)
@@ -57,12 +57,14 @@
 	importer-base_object.$(OBJEXT) importer-class_list.$(OBJEXT) \
 	importer-vector.$(OBJEXT) importer-resource_manager.$(OBJEXT) \
-	importer-ini_parser.$(OBJEXT) importer-text_engine.$(OBJEXT) \
-	importer-render_2d.$(OBJEXT) importer-element_2d.$(OBJEXT) \
-	importer-p_node.$(OBJEXT) importer-null_parent.$(OBJEXT) \
-	importer-load_param.$(OBJEXT) importer-substring.$(OBJEXT) \
-	importer-color.$(OBJEXT) importer-factory.$(OBJEXT)
+	importer-ini_parser.$(OBJEXT) importer-p_node.$(OBJEXT) \
+	importer-null_parent.$(OBJEXT) importer-load_param.$(OBJEXT) \
+	importer-helper_functions.$(OBJEXT) \
+	importer-substring.$(OBJEXT) importer-color.$(OBJEXT) \
+	importer-factory.$(OBJEXT)
 importer_OBJECTS = $(am_importer_OBJECTS)
 importer_DEPENDENCIES = $(MAINSRCDIR)/lib/event/libORXevent.a \
 	$(MAINSRCDIR)/lib/tinyxml/libtinyxml.a \
+	$(MAINSRCDIR)/lib/graphics/libORXgraphics.a \
+	$(MAINSRCDIR)/lib/shell/libORXshell.a \
 	$(MAINSRCDIR)/lib/sound/libORXsound.a \
 	$(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a
@@ -74,8 +76,8 @@
 @AMDEP_TRUE@	./$(DEPDIR)/importer-class_list.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/importer-color.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/importer-element_2d.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/importer-factory.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/importer-framework.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/importer-graphics_engine.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/importer-helper_functions.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/importer-importer.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/importer-ini_parser.Po \
@@ -84,9 +86,7 @@
 @AMDEP_TRUE@	./$(DEPDIR)/importer-null_parent.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/importer-p_node.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/importer-render_2d.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/importer-resource_manager.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/importer-state.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/importer-substring.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/importer-text_engine.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/importer-vector.Po
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
@@ -213,4 +213,6 @@
 importer_LDADD = $(MAINSRCDIR)/lib/event/libORXevent.a \
                  $(MAINSRCDIR)/lib/tinyxml/libtinyxml.a \
+                 $(MAINSRCDIR)/lib/graphics/libORXgraphics.a \
+                 $(MAINSRCDIR)/lib/shell/libORXshell.a \
                  $(MAINSRCDIR)/lib/sound/libORXsound.a \
                  $(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a
@@ -227,10 +229,8 @@
                   $(MAINSRCDIR)/util/resource_manager.cc \
                   $(MAINSRCDIR)/lib/util/ini_parser.cc \
-                  $(MAINSRCDIR)/lib/graphics/text_engine.cc \
-                  $(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc \
-                  $(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc \
                   $(MAINSRCDIR)/lib/coord/p_node.cc \
                   $(MAINSRCDIR)/lib/coord/null_parent.cc \
                   $(MAINSRCDIR)/util/loading/load_param.cc \
+                  $(MAINSRCDIR)/lib/util/helper_functions.cc \
                   $(MAINSRCDIR)/lib/util/substring.cc \
                   $(MAINSRCDIR)/lib/util/color.cc \
@@ -250,7 +250,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/importer/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/importer/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/subprojects/importer/Makefile
+	  $(AUTOMAKE) --foreign  src/subprojects/importer/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@@ -307,8 +307,8 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-class_list.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-color.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-element_2d.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-factory.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-framework.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-graphics_engine.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-helper_functions.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-importer.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-ini_parser.Po@am__quote@
@@ -317,9 +317,7 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-null_parent.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-p_node.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-render_2d.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-resource_manager.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-state.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-substring.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-text_engine.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-vector.Po@am__quote@
 
@@ -516,52 +514,4 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-ini_parser.obj `if test -f '$(MAINSRCDIR)/lib/util/ini_parser.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/util/ini_parser.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/util/ini_parser.cc'; fi`
 
-importer-text_engine.o: $(MAINSRCDIR)/lib/graphics/text_engine.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT importer-text_engine.o -MD -MP -MF "$(DEPDIR)/importer-text_engine.Tpo" -c -o importer-text_engine.o `test -f '$(MAINSRCDIR)/lib/graphics/text_engine.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/text_engine.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/importer-text_engine.Tpo" "$(DEPDIR)/importer-text_engine.Po"; else rm -f "$(DEPDIR)/importer-text_engine.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/text_engine.cc' object='importer-text_engine.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/importer-text_engine.Po' tmpdepfile='$(DEPDIR)/importer-text_engine.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-text_engine.o `test -f '$(MAINSRCDIR)/lib/graphics/text_engine.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/text_engine.cc
-
-importer-text_engine.obj: $(MAINSRCDIR)/lib/graphics/text_engine.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT importer-text_engine.obj -MD -MP -MF "$(DEPDIR)/importer-text_engine.Tpo" -c -o importer-text_engine.obj `if test -f '$(MAINSRCDIR)/lib/graphics/text_engine.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/text_engine.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/text_engine.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/importer-text_engine.Tpo" "$(DEPDIR)/importer-text_engine.Po"; else rm -f "$(DEPDIR)/importer-text_engine.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/text_engine.cc' object='importer-text_engine.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/importer-text_engine.Po' tmpdepfile='$(DEPDIR)/importer-text_engine.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-text_engine.obj `if test -f '$(MAINSRCDIR)/lib/graphics/text_engine.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/text_engine.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/text_engine.cc'; fi`
-
-importer-render_2d.o: $(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT importer-render_2d.o -MD -MP -MF "$(DEPDIR)/importer-render_2d.Tpo" -c -o importer-render_2d.o `test -f '$(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/importer-render_2d.Tpo" "$(DEPDIR)/importer-render_2d.Po"; else rm -f "$(DEPDIR)/importer-render_2d.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc' object='importer-render_2d.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/importer-render_2d.Po' tmpdepfile='$(DEPDIR)/importer-render_2d.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-render_2d.o `test -f '$(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc
-
-importer-render_2d.obj: $(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT importer-render_2d.obj -MD -MP -MF "$(DEPDIR)/importer-render_2d.Tpo" -c -o importer-render_2d.obj `if test -f '$(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/importer-render_2d.Tpo" "$(DEPDIR)/importer-render_2d.Po"; else rm -f "$(DEPDIR)/importer-render_2d.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc' object='importer-render_2d.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/importer-render_2d.Po' tmpdepfile='$(DEPDIR)/importer-render_2d.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-render_2d.obj `if test -f '$(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/render2D/render_2d.cc'; fi`
-
-importer-element_2d.o: $(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT importer-element_2d.o -MD -MP -MF "$(DEPDIR)/importer-element_2d.Tpo" -c -o importer-element_2d.o `test -f '$(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/importer-element_2d.Tpo" "$(DEPDIR)/importer-element_2d.Po"; else rm -f "$(DEPDIR)/importer-element_2d.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc' object='importer-element_2d.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/importer-element_2d.Po' tmpdepfile='$(DEPDIR)/importer-element_2d.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-element_2d.o `test -f '$(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc
-
-importer-element_2d.obj: $(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT importer-element_2d.obj -MD -MP -MF "$(DEPDIR)/importer-element_2d.Tpo" -c -o importer-element_2d.obj `if test -f '$(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/importer-element_2d.Tpo" "$(DEPDIR)/importer-element_2d.Po"; else rm -f "$(DEPDIR)/importer-element_2d.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc' object='importer-element_2d.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/importer-element_2d.Po' tmpdepfile='$(DEPDIR)/importer-element_2d.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-element_2d.obj `if test -f '$(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/render2D/element_2d.cc'; fi`
-
 importer-p_node.o: $(MAINSRCDIR)/lib/coord/p_node.cc
 @am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT importer-p_node.o -MD -MP -MF "$(DEPDIR)/importer-p_node.Tpo" -c -o importer-p_node.o `test -f '$(MAINSRCDIR)/lib/coord/p_node.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/coord/p_node.cc; \
@@ -611,4 +561,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-load_param.obj `if test -f '$(MAINSRCDIR)/util/loading/load_param.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/loading/load_param.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/loading/load_param.cc'; fi`
+
+importer-helper_functions.o: $(MAINSRCDIR)/lib/util/helper_functions.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT importer-helper_functions.o -MD -MP -MF "$(DEPDIR)/importer-helper_functions.Tpo" -c -o importer-helper_functions.o `test -f '$(MAINSRCDIR)/lib/util/helper_functions.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/util/helper_functions.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/importer-helper_functions.Tpo" "$(DEPDIR)/importer-helper_functions.Po"; else rm -f "$(DEPDIR)/importer-helper_functions.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/util/helper_functions.cc' object='importer-helper_functions.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/importer-helper_functions.Po' tmpdepfile='$(DEPDIR)/importer-helper_functions.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-helper_functions.o `test -f '$(MAINSRCDIR)/lib/util/helper_functions.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/util/helper_functions.cc
+
+importer-helper_functions.obj: $(MAINSRCDIR)/lib/util/helper_functions.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT importer-helper_functions.obj -MD -MP -MF "$(DEPDIR)/importer-helper_functions.Tpo" -c -o importer-helper_functions.obj `if test -f '$(MAINSRCDIR)/lib/util/helper_functions.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/util/helper_functions.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/util/helper_functions.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/importer-helper_functions.Tpo" "$(DEPDIR)/importer-helper_functions.Po"; else rm -f "$(DEPDIR)/importer-helper_functions.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/util/helper_functions.cc' object='importer-helper_functions.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/importer-helper_functions.Po' tmpdepfile='$(DEPDIR)/importer-helper_functions.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-helper_functions.obj `if test -f '$(MAINSRCDIR)/lib/util/helper_functions.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/util/helper_functions.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/util/helper_functions.cc'; fi`
 
 importer-substring.o: $(MAINSRCDIR)/lib/util/substring.cc
